Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 297706 - Please Stablize dev-lang/parrot-1.7.0
Summary: Please Stablize dev-lang/parrot-1.7.0
Status: RESOLVED LATER
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 276795 297473
Blocks:
  Show dependency tree
 
Reported: 2009-12-20 21:51 UTC by David Abbott
Modified: 2010-01-21 11:02 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
parrot-1.9.0.ebuild.diff (parrot-1.9.0.ebuild.diff,962 bytes, text/plain)
2010-01-21 03:41 UTC, David Abbott
Details
parrot-1.9.0.ebuild.patch (parrot-1.9.0.ebuild.patch,2.44 KB, patch)
2010-01-21 10:59 UTC, David Abbott
Details | Diff
parrot-1.9.0.ebuild.patch (parrot-1.9.0.ebuild.patch,2.64 KB, patch)
2010-01-21 11:02 UTC, David Abbott
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Abbott gentoo-dev 2009-12-20 21:51:57 UTC
Please Stablize dev-lang/parrot-1.7.0

Reproducible: Always
Comment 1 Markus Meier gentoo-dev 2010-01-02 16:28:15 UTC
fails test here (there's already bug #276795 for it). and please have a look at bug #297473 too. also there's the following QA Notice:

 * QA Notice: The following files contain insecure RUNPATH's
 *  Please file a bug about this at http://bugs.gentoo.org/
 *  with the maintaining herd of the package.
 * /var/tmp/portage/dev-lang/parrot-1.7.0/work/parrot-1.7.0/blib/lib usr/lib/parrot/1.7.0/dynext/digest_group.so
 * /var/tmp/portage/dev-lang/parrot-1.7.0/work/parrot-1.7.0/blib/lib usr/lib/parrot/1.7.0/dynext/rational.so
 * /var/tmp/portage/dev-lang/parrot-1.7.0/work/parrot-1.7.0/blib/lib usr/lib/parrot/1.7.0/dynext/obscure_ops.so
 * /var/tmp/portage/dev-lang/parrot-1.7.0/work/parrot-1.7.0/blib/lib usr/lib/parrot/1.7.0/dynext/math_ops.so
 * /var/tmp/portage/dev-lang/parrot-1.7.0/work/parrot-1.7.0/blib/lib usr/lib/parrot/1.7.0/dynext/dynlexpad.so
 * /var/tmp/portage/dev-lang/parrot-1.7.0/work/parrot-1.7.0/blib/lib usr/lib/parrot/1.7.0/dynext/subproxy.so
 * /var/tmp/portage/dev-lang/parrot-1.7.0/work/parrot-1.7.0/blib/lib usr/lib/parrot/1.7.0/dynext/gdbmhash.so
Comment 2 David Abbott gentoo-dev 2010-01-02 17:02:02 UTC
Ok, I will need to get the bugs fixed first, and make sure it passes tests and fix the RUNPATH's.
Comment 3 David Abbott gentoo-dev 2010-01-21 03:41:29 UTC
Created attachment 217040 [details]
parrot-1.9.0.ebuild.diff

A better candidate, installs, no QA warnings and passes tests on x86 and amd64.
Comment 4 David Abbott gentoo-dev 2010-01-21 10:59:23 UTC
Created attachment 217057 [details, diff]
parrot-1.9.0.ebuild.patch
Comment 5 David Abbott gentoo-dev 2010-01-21 11:02:44 UTC
Created attachment 217059 [details, diff]
parrot-1.9.0.ebuild.patch